Subject: Re: Job | Project ,Manager remote screening
From: ramkumar <[email-masked]>
To: [email-masked]
Date: Fri, 12 Feb 2021 20:42:07 +0530

Not able to view Details? Learn More

Job Title
Job | Project ,Manager remote screening

331 Applicants

View All

ramkumar
I started my career as an associate in Sutherland at August 2016 and with in the span 1 year I have been promoted as team leader with good team strength and almost for consecutive 3 months been nominated as best team lead of the month and been rewarded and I left Sutherland on 2019 and joined sitel as senior technical support associate and worked for clients like bell and virgin Mobile where as I worked for Amazon. Com and Amazon. Ca in Sutherland.. currently still working in sitel and looking for change of job with good package

Shortlist

Reject

Current Designation Senior Associate
Current Company Sitel India Pvt Ltd
Notice Period 1 Months
Previous Designation student ( b.e ece)
Previous Company Ram

Contact Details
Mobile:

Exp
4 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Chennai
Education
B.Tech/B.E.
SVIST
Key Skills
Communication, People Skills, Leadership, Communication Skills, Presentation Skills, Public Speaking, Presentation, Seminars

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem